com.r3corda.protocols / NotaryProtocol / Handshake

# Handshake

`class Handshake : AbstractRequestMessage`

### Constructors

<init> | `Handshake(replyTo: Party, sendSessionID: Long, sessionID: Long)`

### Properties

sendSessionID | `val sendSessionID: Long`
sessionID | `val sessionID: Long`

### Inherited Properties

replyToParty | `val replyToParty: Party`

### Inherited Functions

getReplyTo | `open fun getReplyTo(networkMapCache: NetworkMapCache): MessageRecipients`